geography/gdal-lib - The NetBSD Packages Collection

Translator library for raster geospatial data formats

GDAL is a translator library for raster geospatial data formats that
is released under an X/MIT style Open Source license. As a library, it
presents a single abstract data model to the calling application for
all supported formats.  The related OGR library (which lives within
the GDAL source tree) provides a similar capability for simple
features vector data. It includes roughly 60 format drivers. Current
translators include:
	* GeoTIFF 		(read/write)
	* Erdas Imagine		(read/write)
	* ESRI .BIL 		(read)
	* .aux labelled raw	(read/write)
	* DTED 			(read)
	* SDTS DEM 		(read)
	* CEOS 			(read)
	* JPEG 			(read/write)
	* PNG 			(read/write)
	* Geosoft GXF		(read)
	* Arc/Info Binary Grid 	(read)
A full list is available at http://www.gdal.org/formats_list.html.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/netcdf www/curl devel/pcre geography/geos geography/proj geography/libgeotiff graphics/tiff math/qhull graphics/giflib graphics/libwebp graphics/openjpeg graphics/png textproc/libxml2 textproc/xerces-c devel/netcdf www/curl devel/pcre geography/geos geography/proj geography/libgeotiff graphics/tiff math/qhull graphics/giflib graphics/libwebp graphics/png textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0i386gdal-lib-3.0.4nb4.tgz
NetBSD 8.0i386gdal-lib-3.0.4nb5.tgz
NetBSD 8.0i386gdal-lib-3.2.2.tgz
NetBSD 8.0powerpcgdal-lib-3.0.4nb4.tgz
NetBSD 8.0powerpcgdal-lib-3.2.2.tgz
NetBSD 8.0powerpcgdal-lib-3.0.4nb5.tgz
NetBSD 8.0powerpcgdal-lib-3.2.2.tgz
NetBSD 8.0x86_64gdal-lib-3.2.2.tgz
NetBSD 8.0x86_64gdal-lib-3.0.4nb4.tgz
NetBSD 8.0x86_64gdal-lib-3.0.4nb5.tgz
NetBSD 9.0alphagdal-lib-3.2.2.tgz
NetBSD 9.0alphagdal-lib-3.0.4nb4.tgz
NetBSD 9.0alphagdal-lib-3.0.4nb5.tgz
NetBSD 9.0i386gdal-lib-3.0.4nb4.tgz
NetBSD 9.0i386gdal-lib-3.0.4nb5.tgz
NetBSD 9.0i386gdal-lib-3.2.2.tgz
NetBSD 9.0mipselgdal-lib-3.2.2.tgz
NetBSD 9.0powerpcgdal-lib-3.0.4nb5.tgz
NetBSD 9.0powerpcgdal-lib-3.0.4nb4.tgz
NetBSD 9.0powerpcgdal-lib-3.2.2.tgz
NetBSD 9.0powerpcgdal-lib-3.2.2.tgz
NetBSD 9.0sh3elgdal-lib-3.0.4nb4.tgz
NetBSD 9.0sh3elgdal-lib-3.0.4nb5.tgz
NetBSD 9.0sh3elgdal-lib-3.2.2.tgz
NetBSD 9.0sparc64gdal-lib-3.2.2.tgz
NetBSD 9.0sparc64gdal-lib-3.0.4nb4.tgz
NetBSD 9.0sparc64gdal-lib-3.0.4nb4.tgz
NetBSD 9.0sparc64gdal-lib-3.0.4nb5.tgz
NetBSD 9.0sparcgdal-lib-3.2.2.tgz
NetBSD 9.0sparcgdal-lib-3.0.4nb4.tgz
NetBSD 9.0sparcgdal-lib-3.0.4nb5.tgz
NetBSD 9.0x86_64gdal-lib-3.0.4nb5.tgz
NetBSD 9.0x86_64gdal-lib-3.0.4nb5.tgz
NetBSD 9.0x86_64gdal-lib-3.0.4nb6.tgz
NetBSD 9.0x86_64gdal-lib-3.2.2.tgz
NetBSD 9.0x86_64gdal-lib-3.0.4nb4.tgz
NetBSD 9.0x86_64gdal-lib-3.0.4nb5.tgz
NetBSD 9.0x86_64gdal-lib-3.2.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

mysql
Enable MySQL support.
pgsql
Enable PostgreSQL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.